Subject: Re: [RFC v2] mt76: mt7615: mt7622: fix ibss and meshpoint

From: Kalle Valo <[email-masked]>
Date: Tue, 19 Oct 2021 10:19:35 +0300

Felix Fietkau <[email-masked]> writes:

> On 2021-10-09 10:32, Kalle Valo wrote:
>> Nick Hainke <[email-masked]> writes:
>>
>>> Fixes: d8d59f66d136 ("mt76: mt7615: support 16 interfaces").
>>
>> The fixes tag should be in the end, before Signed-off-by tags. But I can
>> fix that during commit.
>>
>>> commit 7f4b7920318b ("mt76: mt7615: add ibss support") introduced IBSS
>>> and commit f4ec7fdf7f83 ("mt76: mt7615: enable support for mesh")
>>> meshpoint support.
>>>
>>> Both used in the "get_omac_idx"-function:
>>>
>>> 	if (~mask & BIT(HW_BSSID_0))
>>> 		return HW_BSSID_0;
>>>
>>> With commit d8d59f66d136 ("mt76: mt7615: support 16 interfaces") the
>>> ibss and meshpoint mode should "prefer hw bssid slot 1-3". However,
>>> with that change the ibss or meshpoint mode will not send any beacon on
>>> the mt7622 wifi anymore. Devices were still able to exchange data but
>>> only if a bssid already existed. Two mt7622 devices will never be able
>>> to communicate.
>>>
>>> This commits reverts the preferation of slot 1-3 for ibss and
>>> meshpoint. Only NL80211_IFTYPE_STATION will still prefer slot 1-3.
>>>
>>> Tested on Banana Pi R64.
>>>
>>> Signed-off-by: Nick Hainke <[email-masked]>
>>
>> Felix, can I take this to wireless-drivers? Ack?
>
> Acked-by: Felix Fietkau <[email-masked]>

Thanks. We are in -rc6 now and I'm not planning to send any more fixes
to v5.15 (unless very critical), so I'll take this to
wireless-drivers-next instead.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches